@echo off
echo CDTEST decoder command line utility for auCDtect.exe
echo Made by Zin-Uru, 2009
echo __________________________________________________________________
if "%1" == "tta" goto tta
if "%1" == "tak" goto tak
if "%1" == "wv" goto wv
if "%1" == "m4a" goto m4a
if "%1" == "ape" goto ape
if "%1" == "flac" goto flac
if "%1" == "wav" goto wav
if "%1" == "help" goto help
echo NOT SUPPORTED FILE TYPE!
echo TYPE 'cdtest help' FOR HELP
goto end
:help
echo USAGE:
echo cdtest [format] [inputfile]
echo NOTE. For each format place decoder in the same folder, except wav
echo __________________________________________________________________
echo SUPPORTED FORMATS:
echo wav, flac, ape, m4a, wv, tak, tta
goto end
:tta
if not exist ttaenc.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
ttaenc.exe -d %2 -o temp.wav
goto tect
:tak
if not exist takc.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
takc.exe -d %2 temp.wav
goto tect
:wv
if not exist wvunpack.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
wvunpack.exe %2 temp.wav
goto tect
:m4a
if not exist ffmpeg.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
ffmpeg.exe -i %2 temp.wav
goto tect
:ape
if not exist mac.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
mac.exe %2 temp.wav -d
goto tect
:flac
if not exist flac.exe goto need
echo CHECKING STARTED!
echo __________________________________________________________________
flac.exe -d %2 -o temp.wav
goto tect
:need
echo DECODER NOT FOUND! PLACE DECODER EXECUTABLE IN THE SAME FOLDER.
goto end
:wav
echo CHECKING STARTED!
echo __________________________________________________________________
copy %2 temp.wav
:tect
auCDtect.exe -v -m0 temp.wav >> "%2".auCDtect.log
del temp.wav
echo CHECKING SUCCESSFUL!
:end
pause